r.transect(1)

NAME
r.transect - Outputs raster map layer values lying along user defined transect line(s).

KEYWORDS
raster

SYNOPSIS
r.transect
r.transect help
r.transect [-g] map=name line=east,north,azimuth,distance[,east,north,azimuth,distance,...] [null=string]

  Flags:

-g  Output easting and northing in first two columns of four column output

  Parameters:

map=name
    Raster map to be queried

line=east,north,azimuth,distance[,east,north,azimuth,distance,...]
    Transect definition

null=string
    Char string to represent no data cell Default: *

DESCRIPTION
This program outputs, in ASCII, the values in a raster map which lie along one or more user-defined transect lines. The transects are described by their starting coordinates, azimuth, and distance. wide lines, or multiple-cell wide lines. The output, for each transect, may be the values at each of the cells, or a single aggregate value (e.g., average or median value).

The line parameter is a definition of (each) transect line, specified by the geographic coordinates of its starting point (easting, northing), the angle and direction of its travel (azimuth), and its distance (distance).

The azimuth is an angle, in degrees, measured to the east of north. The distance is in map units (meters for a metered database, like UTM).

The null parameter can optionally be set to change the character string representing null values.

NOTES
This program is a front-end to the r.profile program. It simply converts the azimuth and distance to an ending coordinate and then runs r.profile. There once were width= and result=raw|median|average options which are not currently implemented.

SEE ALSO
r.profile

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2004/02/24 00:35:46 $

Full index